Skip to content
You're viewing documentation for v2026.11.14-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get a stanza by name

GET/api/v1/stanzas/by-name/{name}
Authorization
tse_sessionAPI key · cookierequired
Path parameters
namestringrequired
Responses
200

OK

database_namestring
database_service_idstring
database_service_namestring
database_service_statusstring
first_grant_atstring<date-time>

When the console first saw a license grant in the source cluster. A copy of an earlier time has no grant

grant_fingerprintstring
grant_lockedbooleanrequired
idstringrequired
is_adoptablebooleanrequired
namestringrequired
no_grant_lock_atstring<date-time>

When the source cluster locks without a license grant. A copy without a grant starts locked after this time

reposStanzaInfoRepo[]required
Show properties
Array of StanzaInfoRepo
host_server_idstringrequired
repo_indexinteger<int64>required
statusstringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/stanzas/by-name/string' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "database_name": "string",
  "database_service_id": "string",
  "database_service_name": "string",
  "database_service_status": "string",
  "first_grant_at": "2019-08-24T14:15:22Z",
  "grant_fingerprint": "string",
  "grant_locked": true,
  "id": "string",
  "is_adoptable": true,
  "name": "string",
  "no_grant_lock_at": "2019-08-24T14:15:22Z",
  "repos": [
    {
      "host_server_id": "string",
      "repo_index": 0,
      "status": "string"
    }
  ]
}